<ion-header>
  <ion-toolbar>
    <ion-title>Comédia</ion-title>
  </ion-toolbar>

</ion-header>

<ion-content>
  <ion-card *ngFor="let movie of movies">
    <ion-card-header>
        <ion-card-title>
            <div class="ion-text-center">
              <ion-text>
                  <h1>{{movie.title}}</h1>
                </ion-text>
            </div>
        </ion-card-title>
    </ion-card-header>

    <ion-card-content *ngFor="let imagem of imagens">
      <div>
        <ion-img [src]="imagem.url + movie.poster_path"></ion-img>
      </div>    
      <ion-text>
          <br><h2>{{movie.overview}}</h2><br>
      </ion-text>
      <ion-text>
          Avaliações: {{movie.vote_count}}<br>
          Nota média: {{movie.vote_average}}<br>
          Populariedade: {{movie.popularity}}
      </ion-text>
      <section class="generos">
        <ion-badge *ngFor="let genero of movie.genre_ids">
          {{ genero.name }}
        </ion-badge>
      </section>
    </ion-card-content>
  </ion-card>

  <ion-infinite-scroll (ionInfinite)="carregarMaisFilmes($event)">
    <ion-infinite-scroll-content loadingText="Buscando mais filmes..." loadingSpinner="bubbles">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
